import { Modal } from './context';
export declare const useModal: <P>(id?: string | undefined, modal?: Omit<Modal<P>, "id"> | undefined) => readonly [(modal?: Omit<Modal<P>, "id"> | undefined) => void, {
    readonly modals: Record<string, Modal<any>>;
    readonly opened: string[];
    readonly openModal: <P_1>(modalId: string, modal?: Partial<Modal<P_1>> | undefined) => void;
    readonly closeModal: (modalId: string) => void;
    readonly registerModal: <P_2>(modal: Modal<P_2>) => void;
    readonly unregisterModal: (modalId: string) => void;
}];
